<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('guide_template', function (Blueprint $table) {
            $table->id();
            $table->integer('order_id')->comment('订单id');
            $table->tinyInteger('type')->default(0)->comment('餐单类型 0:准备日 1:装修日 2:清洁日');
            $table->text('init_guide')->nullable()->comment('初始化餐单');
            $table->text('effect_guide')->nullable()->comment('生效中餐单');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('guide_template');
    }
};
